edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.struct

## Class EntropyVector

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.struct.EntropyVector

-     public class EntropyVector
      extends java.lang.Object

  Entropy vector.
  Author:
    Freddy Choi, Philip R. Burns. Modified for integration into MorphAdorner.

    Use of this code is free for academic, education, research and other non-profit making uses only.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `EntropyVector.TableValue` Vector entries.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,EntropyVector.TableValue>` | `table` Map holding labeled vector values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntropyVector(ContextVector v)` Create an entropy vector from a context vector.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `entropy(java.lang.String s, EntropyVector v)` Return entropy for labeled table entry.
    `static double` | `inverse(java.lang.String s, EntropyVector v)` Return inverse for labeled table entry.
    `static double` | `probability(java.lang.String s, EntropyVector v)` Return probability for labeled table entry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### table

          protected java.util.Map<java.lang.String,EntropyVector.TableValue> table

      Map holding labeled vector values.

  - ### Constructor Detail

    - #### EntropyVector

          public EntropyVector(ContextVector v)

      Create an entropy vector from a context vector.
      Parameters:
        `v` - uk.ac.man.cs.choif.extend.structure.ContextVector

  - ### Method Detail

    - #### entropy

          public static double entropy(java.lang.String s,
                       EntropyVector v)

      Return entropy for labeled table entry.
      Parameters:
        `s` - Entry name.
        `v` - Entropy vector.
      Returns:
        entropy from entropy vector for entry "s".

    - #### inverse

          public static double inverse(java.lang.String s,
                       EntropyVector v)

      Return inverse for labeled table entry.
      Parameters:
        `s` - Entry name.
        `v` - Entropy vector.
      Returns:
        inverse from entropy vector for entry "s".

    - #### probability

          public static double probability(java.lang.String s,
                           EntropyVector v)

      Return probability for labeled table entry.
      Parameters:
        `s` - Entry name.
        `v` - Entropy vector.
      Returns:
        probability from entropy vector for entry "s".